<?php

namespace FiloBlu\Referrals\Model\ResourceModel;


class Invitation extends \Magento\Invitation\Model\ResourceModel\Invitation
{
    /**
     * Save invitation tracking info
     *
     * @param int $inviterId
     * @param int $referralId
     * @param string $couponInvitationType
     * @return void
     */
    public function trackNlSubscriptionReferral($inviterId, $referralId)
    {
        $data = ['inviter_id' => (int)$inviterId, 'referral_id' => (int)$referralId];

        $this->getConnection()->insertOnDuplicate(
            $this->getTable('filoblu_newsletter_invitation_track'),
            $data,
            array_keys($data)
        );
    }
}